### X Northern Captain Installation

XNC Index:
Overview
Installation
Panels
Commands
VFS_support
Bookmark
Extensions
User Menu
Hot Keys

INSTALLATION

XNC publishes in three types of archives:

- Source code tarball (src.tar.gz)
- Precompiled binaries for various platforms in tarball (Platform.tar.gz)
- Precompiled binaries for Linux RPM systems (rpm)

The following text explains installation process for each type of archive:

Source code tarball:

- Unpack archive with 'tar zxvf filename' or 'gunzip -c filename | tar xvf -'
- Go to xnc-5.x.x directory
- Run './configure'. For configure options see output of './configure --help'
- Run 'make'
- Run 'make install' under root. This operation install files to Your computer.
- You need to run 'xncsetup' for each user who wants to run xnc.
- Configure Your environment with xncsetup and press 'Save' button.

PS: If you have troubles compiling XNC try run './configure --disbale-shared' and then make again.

Source code tarball to local directory (home directory without root):
If you want to install xnc to another directory that default one (/usr), then read this part of instructions:

Assume that you want to install xnc locally to your home directory and don't have 'root' access.
For example your home directory is '/home/leo'.

- Unpack archive with 'tar zxvf filename' or 'gunzip -c filename | tar xvf -'
- Go to xnc-5.x.x directory
- Run './configure --prefix=/home/leo'. For more configure options see output of './configure --help'
- Run 'make'
- Run 'make install'. This operation install files to Your computer.
- You need to run 'xncsetup' before running xnc. Do it under X window system because xncsetup requires connection to X server. XNC installs itself in the following directories:

- /home/leo/bin - binaries
- /home/leo/lib/xnc - libraries
- /home/leo/share/man/man1 - man pages
- /home/leo/share/doc/xnc-5.x.x - documentation
- /home/leo/share/locale - localization

- Configure Your environment with xncsetup and press 'Save' button.
- Make sure that you have '/home/leo/bin' directory in your $PATH environment.
- Or add with 'export PATH=/home/leo/bin:$PATH' into your local startup script.

PS: If you have troubles compiling XNC try run './configure --disbale-shared' and then make again.

Precompiled binary TAR archive:

- Just unpack archive to '/' directory.

- cd /
- gunzip -c xnc-tarball-name.tar.gz | tar xvf -

- Configure Your environment with 'xncsetup' and press 'Save' button for each user who wants to run xnc.

Binary RPM archive:

- Just install RPM archive to your system with 'rpm -ivh xnc-*.rpm'.
- Or upgrade from previous version with 'rpm -Uvh xnc-*.rpm'.
- Configure Your environment with 'xncsetup', see or change hotkeys, colors and press 'Save' button.

- '/usr/bin' - xnc binaries and helpers
- '/usr/lib/xnc' - xnc plugin libraries.
- '/usr/share/man/man1' - xnc man pages.
- '/usr/share/locale' - xnc localization files.
'/usr/share/doc/xnc-5.x.x' - xnc documentation in html format.

HOW TO RUN

Simple run:

- Just type 'xnc' and enjoy.

Don't forget to run xncsetup before running xnc at first time.

Faster startup:

- Run 'xncloader'. Do it just ONCE after you start your X.
For example you can place it in your .xinitrc or .xsession file.
- Run 'xnc' as many times as you wish. XNC will use shared resources loaded by 'xncloader' and start faster.
If you have troubles with this method try 'xnc +shared'.

Run with plugins:

- Run 'xnc -plugin aqua' and you see XNC with Aqua skin. Also you can choose plugin in xnc 'Configuration' window.
- If you want to switch off the plugin then run 'xnc -plugin none' or set original look in the 'Configuration' window.

Run with command line options:
You can run xnc with many command line options that make some tuning at startup. Here is the list of these options:

- -display displayname - X server display name to contact
- -/+rv - Turn on/off reverse video mode in xterminal
- -fg color - foreground color for xterminal window
- -cr color - cursor color in terminal window
- -fn fontname - normal terminal text font
- -iconic - start iconic
- -title string - title name for window
- -/+ls - turn on/off login shell
- -/+sb - turn on/off scrollbar in terminal window
- -sl number - number of scrolled lines to save
- -/+ut - turn on/off utmp inhibit
- -/+vb - turn on/off visual bell
- -/+si - turn on/off introduction banner
- -plugin plugin-name - plugin name for load different look (skin)
- -/+shared - turn on/off shared resource using with xncloader

XNC ξονε xnc.dubna.su |

Author Leonid V. Khramov
leo@xnc.dubna.su
St-Petersburg
Russia
1995-2002